Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.util
Class ProxyDate

    java.lang.Object
      |
      +--java.util.Date
            |
            +--com.solarmetric.kodo.util.ProxyDate

All Implemented Interfaces:
  Cloneable, Comparable, Proxy, Serializable

public class ProxyDate
extends Date
implements Proxy

Extension of the `Date` type that calls the `PersistenceCapable.jdoMakeDirty(java.lang.String)` method on its owning persistence capable instance on modification. This class does not support modification via any deprecated method of the date class.

See Also:
  Serialized Form

Constructor Summary
`(package private)` | `ProxyDate()`
`` | `ProxyDate(long time)`

Method Summary
`Object` | `getCopy(Object orig)` This method should return a copy of the given proxy; the copy should be of the same class as the non-proxied version of this class (typically this proxy's superclass).
`Object` | `getOwner()` Return the owning object.
`String` | `getOwnerFieldName()` Return the owning field name.
`void` | `setDate(int val)`
`void` | `setHours(int val)`
`void` | `setMinutes(int val)`
`void` | `setMonth(int val)`
`void` | `setOwner(Object pc, String fieldName)` Set the owning JDO instance of the proxy and the name of the field it is assigned to.
`void` | `setSeconds(int val)`
`void` | `setTime(long millis)`
`void` | `setYear(int val)`
`protected Object` | `writeReplace()`

Methods inherited from class java.util.Date
`, after, before, clone, compareTo, compareTo, equals, getDate, getDay, getHours, getMinutes, getMonth, getSeconds, getTime, getTimezoneOffset, getYear, hashCode, parse, toGMTString, toLocaleString, toString, UTC`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProxyDate

    ProxyDate()

### ProxyDate

    public ProxyDate(long time)

Method Detail

### setOwner

    public void setOwner(Object pc,
                         String fieldName)

  Description copied from interface: `Proxy`
  Set the owning JDO instance of the proxy and the name of the field it is assigned to. Set to null to indicate that the proxy is no longer managed.
  Specified by:
    `setOwner` in interface `Proxy`

### getOwner

    public Object getOwner()

  Description copied from interface: `Proxy`
  Return the owning object.
  Specified by:
    `getOwner` in interface `Proxy`

### getOwnerFieldName

    public String getOwnerFieldName()

  Description copied from interface: `Proxy`
  Return the owning field name.
  Specified by:
    `getOwnerFieldName` in interface `Proxy`

### getCopy

    public Object getCopy(Object orig)

  Description copied from interface: `Proxy`
  This method should return a copy of the given proxy; the copy should be of the same class as the non-proxied version of this class (typically this proxy's superclass).
  Specified by:
    `getCopy` in interface `Proxy`

### setYear

    public void setYear(int val)

  Overrides:
    `setYear` in class `Date`

### setMonth

    public void setMonth(int val)

  Overrides:
    `setMonth` in class `Date`

### setDate

    public void setDate(int val)

  Overrides:
    `setDate` in class `Date`

### setHours

    public void setHours(int val)

  Overrides:
    `setHours` in class `Date`

### setMinutes

    public void setMinutes(int val)

  Overrides:
    `setMinutes` in class `Date`

### setSeconds

    public void setSeconds(int val)

  Overrides:
    `setSeconds` in class `Date`

### setTime

    public void setTime(long millis)

  Overrides:
    `setTime` in class `Date`

### writeReplace

    protected Object writeReplace()
                           throws ObjectStreamException

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.